Name:           scantailor
Version:        0.9.11.1
Release:        %mkrel 1
Summary:        An interactive post-processing tool for scanned pages

Group:          Office
License:        GPLv3+ or LGPLv2.1
URL:            http://scantailor.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.xz
#-------------------------------------
BuildRequires: cmake
BuildRequires: %{_lib}boost-devel
BuildRequires: %{_lib}jpeg-devel
BuildRequires: %{_lib}png-devel
BuildRequires: %{_lib}qt4-devel
BuildRequires: %{_lib}tiff-devel
BuildRequires: %{_lib}x11-devel 
BuildRequires: %{_lib}xrender-devel
#-------------------------------------

%description
Scan Tailor is an interactive post-processing tool for scanned pages.
It performs operations such as page splitting, deskewing, adding/removing
borders, and others. You give it raw scans, and you get pages ready to be
printed or assembled into a PDF or DJVU file. Scanning, optical character
recognition, and assembling multi-page documents are out of scope of this
project.

%prep
%setup -q

%build
%cmake ../ -DEXTRA_LIBS=Xrender -DCMAKE_BUILD_TYPE:STRING=RelWithDebInfo
%make

mv ../resources/icons/COPYING ../resources/icons/COPYING-icons

%install
rm -rf $RPM_BUILD_ROOT
pushd build
%make_install
popd

mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/icons/hicolor/scalable/apps
cp -p resources/appicon.svg \
        ${RPM_BUILD_ROOT}%{_datadir}/icons/hicolor/scalable/apps/scantailor.svg

#new style menu
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Name=Scan Tailor
GenericName=Scan Tailor
Comment=An interactive post-processing tool for scanned pages
Exec=scantailor
Icon=scantailor
Terminal=false
Type=Application
Categories=Qt;Office;ImageProcessing;Scanning;
StartupNotify=true
EOF


%files
%defattr(-,root,root)
%doc COPYING resources/icons/COPYING-icons
%{_bindir}/scantailor
%{_bindir}/scantailor-cli
%{_datadir}/scantailor/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/scalable/apps/scantailor.svg

%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Mon Dec 30 2013 gseaman <galen.seaman at comcast.net> 0.9.11.1-1gseaman2013
- build from Fedora spec file
